# easy_duration

## Usage

Current time, **Duration** can be declare using an **int** value:

example:

```dart
\\ 10 seconds duration
final tenSecondsDuration = 10.seconds; \\ or 10.s

\\ 1 minutes and 30 seconds -> 90 seconds
final aMinuteAndHalf = 90.seconds; \\ or 90.s
```

### Short-hand table

| function     | short-hand | Unit                  |
| ------------ | ---------- | --------------------- |
| seconds      | s          | seconds               |
| miliseconds  | ms         | miliseconds           |
| microseconds | us         | microseconds          |
| minutes      | m          | minutes               |
| hours        | h          | hours                 |
| days         | d          | days                  |
| months       | M          | days(30 days / month) |
| years        | y          | days (365 days/year)  |
| weeks        | w          | days (7 days/ week)   |
| circles      | c          | circle                |

### Other functions

- The day before: return the day before the given date
- The day after: return the day after the given date

## More information

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
