import 'package:easy_duration/easy_duration.dart';

void main() {
  final tenSecondsDuration = 10.seconds;
  print(tenSecondsDuration.inSeconds);

  final aMinuteAndHalf = 90.seconds;
  print(aMinuteAndHalf.inSeconds);

  final oneMonth = 1.M;
  print(oneMonth.inDays);

  final tenYear = 10.y;
  print(tenYear.inDays);

  final aWeek = 1.weeks;
  print(aWeek.inDays);

  // 2 circle with 3 seconds each
  final twoCircleOf3Seconds = 2.circles(3.s); // 6 seconds
  print(twoCircleOf3Seconds.inSeconds);

  final currentDate = DateTime(2021, 5, 9);
  final tomorrow = theDayAfter(currentDate);
  final yesterday = theDayAfter(currentDate);
  print(tomorrow); // 05-10-2021
  print(yesterday); // 05-08-2021
}
